%global modname interfile

Name:           python-%{modname}
Version:        0.3.1
Release:        11%{?dist}
Summary:        Pyhon module for read/write/parse interfile

# https://github.com/spedemon/interfile/pull/3
# not license text in PyPi archive
License:        BSD
URL:            https://pypi.python.org/pypi/%{modname}
Source0:        https://pypi.python.org/packages/source/i/%{modname}/%{modname}-%{version}.tar.gz
# https://github.com/spedemon/interfile/commit/098b985f04032b65a7c361bc2f943ce237d453ee
Patch0:         0001-Removed-dependence-from-Python-Petlink.patch

BuildArch:      noarch

%description
Interfile is a Python module module that reads, writes and parses files in the
interfile data format. The interfile file format is a format utilized for the
storage of data related to Positron Emission Tomography (PET) and to
Single Photon Emission Computed Tomography (SPECT), such as sinograms and
volumetric imaging data.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  /usr/bin/2to3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-simplewrap
Requires:       python3-simplewrap

%description -n python3-%{modname}
Interfile is a Python module module that reads, writes and parses files in the
interfile data format. The interfile file format is a format utilized for the
storage of data related to Positron Emission Tomography (PET) and to
Single Photon Emission Computed Tomography (SPECT), such as sinograms and
volumetric imaging data.

Python 3 version.

%prep
%autosetup -p1 -n interfile-%{version}
rm -rf *.egg-info

2to3 --write --nobackups .

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{modname}
%doc README.rst
%{python3_sitelib}/%{modname}*

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 18 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-10
- Subpackage python2-interfile has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-8
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 06 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.1-1
- Initial package
